Summary:	Cross SPARC GNU binary utility development utilities - binutils
Summary(es.UTF-8):	Utilitarios para desarrollo de binarios de la GNU - SPARC binutils
Summary(fr.UTF-8):	Utilitaires de développement binaire de GNU - SPARC binutils
Summary(pl.UTF-8):	Skrośne narzędzia programistyczne GNU dla SPARC - binutils
Summary(pt_BR.UTF-8):	Utilitários para desenvolvimento de binários da GNU - SPARC binutils
Summary(tr.UTF-8):	GNU geliştirme araçları - SPARC binutils
Name:		crosssparc-binutils
Version:	2.26.1
Release:	1
License:	GPL
Group:		Development/Tools
Source0:	http://ftp.gnu.org/gnu/binutils/binutils-%{version}.tar.bz2
# Source0-md5:	d2b24e5b5301b7ff0207414c34c3e0fb
URL:		http://sources.redhat.com/binutils/
BuildRequires:	automake
BuildRequires:	bash
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gettext-tools
ExcludeArch:	sparc sparcv9
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		target		sparc-pld-linux
%define		arch		%{_prefix}/%{target}

%description
Binutils is a collection of binary utilities, including:
- ar - create, modify and extract from archives,
- nm - lists symbols from object files,
- objcopy - copy and translate object files,
- objdump - display information from object files,
- ranlib - generate an index for the contents of an archive,
- size - list the section sizes of an object or archive file,
- strings - list printable strings from files,
- strip - discard symbols,
- c++filt - a filter for demangling encoded C++ symbols,
- addr2line - convert addresses to file and line,
- nlmconv - convert object code into an NLM.

This package contains the cross version for SPARC.

%description -l pl.UTF-8
Pakiet binutils zawiera zestaw narzędzi umożliwiających kompilację
programów. Znajdują się tutaj między innymi assembler, konsolidator
(linker), a także inne narzędzia do manipulowania binarnymi plikami
programów i bibliotek.

Ten pakiet zawiera wersję skrośną generującą kod dla SPARC.

%prep
%setup -q -n binutils-%{version}

%build
cp /usr/share/automake/config.sub .

# ldscripts won't be generated properly if SHELL is not bash...
CFLAGS="%{rpmcflags} -fno-strict-aliasing" \
LDFLAGS="%{rpmldflags}" \
CONFIG_SHELL="/bin/bash" \
./configure \
	--disable-shared \
	--disable-nls \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--infodir=%{_infodir} \
	--enable-64-bit-bfd \
	--target=%{target}

%{__make} all \
	tooldir=%{_prefix} \
	EXEEXT=""

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_prefix}

%{__make} install \
	INSTALL='$$s/install-sh -c' \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	mandir=$RPM_BUILD_ROOT%{_mandir} \
	infodir=$RPM_BUILD_ROOT%{_infodir} \
	libdir=$RPM_BUILD_ROOT%{_libdir}

# remove these man pages unless we cross-build for win*/netware platforms.
# however, this should be done in Makefiles.
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/{*dlltool,*nlmconv,*windres}.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/%{target}-*
%dir %{arch}
%dir %{arch}/bin
%attr(755,root,root) %{arch}/bin/*
%dir %{arch}/lib
%dir %{arch}/lib/*
%{arch}/lib/ldscripts/*
%{_mandir}/man?/%{target}-*
%changelog
* Tue Feb 28 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/crosssparc-binutils.git;a=log;h=master

* Tue Feb 28 2017 Jan Rękorajski <baggins@pld-linux.org> 5c0498b
- switch to gnu binutils and update to 2.26.1

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> c23d365
- updated gettext BR

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> f8a4385
- release 2

* Wed Oct 03 2007 tommat <tommat@pld-linux.org> 70d2cf9
- fix my stupidity

* Wed Oct 03 2007 tommat <tommat@pld-linux.org> 6e599c8
- up to 2.18.50.0.1

* Fri Aug 03 2007 Jakub Bogusz <qboosh@pld-linux.org> b93d764
- unified

* Wed Jul 25 2007 Jakub Bogusz <qboosh@pld-linux.org> 812ff62
- rpm arch is sparc, not sparc32

* Wed Jul 25 2007 tommat <tommat@pld-linux.org> 173d8e7
- fix arch stupidity

* Wed Jul 25 2007 tommat <tommat@pld-linux.org> 3c45598
- up to 2.17.50.0.17

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 6b360bf
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b2f98fb
- converted to UTF-8

* Tue Aug 01 2006 Paweł Sikora <pluto@pld-linux.org> f24d4e1
- obsolete.

* Tue Aug 01 2006 Paweł Sikora <pluto@pld-linux.org> 5d843f9
- updated to 2.17.50.0.3.

* Thu May 11 2006 Paweł Sikora <pluto@pld-linux.org> 421d7f9
- updated to 2.17.50.0.1.

* Thu May 11 2006 Paweł Sikora <pluto@pld-linux.org> 52c271d
- updated for 2.17.50.0.1.

* Wed May 10 2006 Paweł Sikora <pluto@pld-linux.org> 44460cf
- updated to 2.16.91.0.7, fixed PR ld/2607.

* Wed May 10 2006 Paweł Sikora <pluto@pld-linux.org> d96c185
- fix PR ld/2607 (linker doesn't recognize an ELF library).

* Fri Mar 03 2006 Paweł Sikora <pluto@pld-linux.org> a9896de
- md5.

* Fri Mar 03 2006 Paweł Sikora <pluto@pld-linux.org> 4cdc3dc
- updated to 2.16.91.0.6.

* Wed Jan 04 2006 Paweł Sikora <pluto@pld-linux.org> 1db6246
- updated to 2.16.91.0.5.

